Redmine - Feature #415

Daily Digest option for Mail Notifications
2007-08-28 09:18 - Neil Rodrigues

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution:

Description

We tend to have a lot of issues when using Redmine, and mail notifications are set to notify on everything. It would
be great for users to have the option to have a Daily Digest rather than immediate notification.

A Daily Digest is essentially an e-mail containing everything the Activity link shows, but is sent out only once daily.

However, if an issue is Assigned to someone, or if someone requests a Watch notification, those e-mails should always
be sent immediately, regardless of Daily Digest status.

Related issues:

Related to Redmine - Feature #3410: Collect issue changes in mail and activity New 2009-05-25
Related to Redmine - Feature #8241: Advanced notification: per user, per proj... New 2011-04-28
Related to Redmine - Feature #8342: Enhance reminder email to send all assign... New 2011-05-11
Has duplicate Redmine - Feature #1634: Consolidated emails/report Closed 2008-07-14
Has duplicate Redmine - Feature #3412: Send issue changes in a digest email Closed 2009-05-25
History

#1 - 2009-05-25 19:35 - Vincent de Lau

| created a duplicate issue: #3412.
As an addition to this issue, | think it should be configurable how frequent you receive a digest (hourly, daily, weekly).
| also think is a good idea to group changes by issue. That way you can quickly see what happened with an issue.

#2 - 2009-06-12 17:32 - Anonymous

Even better would be if you could set most things to be included in digest, but have certain things, like when a new high-priority issue is submitted, be
sent immediately.

#3 - 2009-08-04 22:16 - Marc Dworkin

This would be a very useful feature. Perhaps notification settings could be more finely associated with worklow transitions

#4 - 2009-08-14 21:49 - Luiz Carlos Junior

Although all comments seem to be interesting, it would make a great difference if Redmine just provides an user option to receive a simple daily
digest e-mail per project.

In the first version, | think it would be enough if this e-mail contained just a list of all changed issues with its number and subject (and a link). Since
Redmine logs all changes, if one user is interested in a certain issue he could easily click on the link and see the latest changes.

#5 - 2009-09-05 09:15 - kardan brueckenschlaeger

+1 on this issue and note:4

#6 - 2010-03-16 17:53 - Mike Johnson

| agree with Kardan: +1 on this issue and note:4

#7 - 2010-04-14 13:41 - Andreatta Sébastien

+1
#8 - 2010-05-06 20:27 - Josh Weatherly

+1

Is anyone working on implementing something like this?
#9 - 2010-08-09 16:54 - Aaron Steiner

+1

I am trying to convince people at work to start using Redmine for tracking our various projects but the barrage of emails generated by just a few
developers will be a major impediment.

#10 - 2010-09-16 12:27 - Terence Mill

+1

#11 - 2010-10-29 17:31 - Res Gilgen

+1

#12 - 2010-10-29 21:17 - Terence Mill

Best would be to offer some time based rules, like daily at 8.00 pm , weekly every thursday at 3 am, every 3 days at 10 pm, immidiately..

..and some content based rules, like, a lists of all items with short deccription (only topic and link), or the whole ticket description plus the changes..

#13 - 2010-11-02 18:56 - Ladislav Nesnera

+1

#14 - 2010-11-05 15:11 - jnns .

+1

#15 - 2010-11-17 17:59 - Yuriy Shekochihin

+1

#16 - 2011-01-28 13:54 - Joakim Lundberg

A big vote for this one, and agreeing with Luiz Carlos, the first step could be a very simple (digest or not digest and the only digest is once a day
option), then of course all the other features are nice but to get going just a simple digest mode would be very handy.

#17 - 2011-05-25 10:38 - Deon Joubert
+1
| like the idea too!

#18 - 2011-05-25 10:48 - Terence Mill
dupe of #8241

#19 - 2011-07-15 15:10 - Laurent DELAGE

+1

#20 - 2011-08-10 00:13 - Drew Keller

I ran a digest task on my Trac projects for the last 5 years using a script | found and highly modified. Now that I'm switching to Redmine, | went
looking for something similar.

Seems like enough interest that a plugin should exist already. Well, now it does: http://www.redmine.org/plugins/digest

| had not written (or read) a lick of Ruby code until last week, so improvement patches are definitely welcome.

#21 - 2013-03-22 13:18 - Toshi MARUYAMA
- Description updated

- Category set to Email notifications

#22 - 2013-05-06 22:30 - Alessandro Nunes

+1
#23 - 2013-06-26 11:17 - Carsten van Raalten

+1!

#24 - 2013-06-26 11:33 - Anonymous

+1
Great idea!

#25 - 2013-06-26 13:16 - Carsten van Raalten

Please also take a look at this solution/plugin. Instead of daily digests this plugin has more intelligence to notify you of 'issue-risks' up front.

http://www.redmine.org/plugins/alerts-early-warning-system

#26 - 2014-01-08 19:46 - Viktor Berke

From what I've seen the available plugins are either of poor quality or simply incompatible, etc. So | decided to do it on my own. Unfortunately (?) I'm
no Ruby expert so | just wrote some shell scripts to query the data directly from the DB. Here it is:

https://github.com/bviktor/redmine-digest

#27 - 2015-11-12 12:58 - Thomas Laguzzi

+1, would be very welcome!
